خانه / مقالات وب / ایا افزونه وردپرسی که می خواهید دانلود کنید برای سایت تان امن است؟
ایا افزونه  وردپرسی که می خواهید دانلود کنید برای سایت تان امن است؟

ایا افزونه وردپرسی که می خواهید دانلود کنید برای سایت تان امن است؟

حتی سایت های ساده و کوچک وردپرسی نیز به برخی از افزونه ها نیاز خواهند داشت. اگر سایت شما وبلاگ دارد افزونه Akismet یکی از افزونه های مورد نیاز برایتان خواهد بود. افزونه های امنیتی زیادی هم برای بهبود امنیت وردپرس وجود دارند.  بیشتر افراد بر این باورند که افزونه های پرکاربردی که در مخزن وردپرس وجود دارد امن هستند. این افزونه ها میلیون ها بار دانلود شده اند، رتبه بندی بالایی دارند و توسعه دهندگان آن ها افرادی هستند که اعتبار خوبی در جوامع وردپرسی دارند.  اما سوال اینجاست که همه افزونه ها امن هستند؟ از کجا می توانیم بفهمیم که افزونه دانلود شده امن است و می توان به راحتی از آن استفاده کرد؟ متاسفانه افزونه ها بیش ترین مشکلات امنیتی را برای وردپرس ایجاد می کنند. شنیدن این خبر برای هر وبمستری می تواند نگران کننده باشد. اما نگران نباشید. در این مقاله قصد داریم روش هایی را برای تشخیص امن بودن افزونه های وردپرسی بیان کنیم. پس همراه وب ایده باشید.

علامت های هشدار دهنده در مورد امن نبودن افزونه وردپرسی:

 مخزن افزونه به نظر عجیب و غریب می رسد:

خوب اجازه دهید کار خود را با مکانی که افزونه در آن منتشر شده است آغاز کنیم. مثلا فرض کنید که شما به دنبال یافتن افزونه ای هستید که قابلیت اضافی به سایتتان بیفزاید. در این شرایط سایت گوگل را باز می کنید و  قابلیت مدنظر خود را در آن می نویسید. در بین نتایج برتر چشمتان به سایت های توسعه دهنده افزونه های وردپرسی می خورد که مستقل از مخزن اصلی وردپرس فعالیت می کنند.  در این شرایط باید یک زنگ هشدار در ذهنتان روشن شود. با اینکه مستقل بودن سایت به معنای امن نبودن افزونه نیست اما اگر احساس کردید این سایت بسیار قدیمی است و راه مطمئنی برای برقراری ارتباط با توسعه دهنده وجود ندارد بهتر است هرچه سریع تر از سایت خارج شوید.  همیشه افزونه های وردپرسی را از سایت های مطمئن و قابل اعتماد همچون مخزن اصلی وردپرس تهیه نمایید. در این شرایط می توانید خطر بروز مشکلات امنیتی در سایت را کاهش دهید.

توسعه دهنده افزونه شهرت و اعتبار خوبی ندارد:

خوب گام بعدی بررسی اعتبار و شهرت توسعه دهنده است.  لازم نیست فرد توسعه دهنده بشناسید و بدانید چه پس زمینه شغلی دارد و کجا زندکی می کند. چیزی که شما باید به دنبالش باشید چراغ های قرمزی است که او را به عنوان یک فرد نامعتبر معرفی می کند. به عنوان مثال نشانه های هشداردهنده زیر را مدنظر داشته باشید:

  • آن ها صاحب جدید افزونه هستند و سابقه توسعه دهندگی را ندارند. این موضوع بدین معنی است که این فرد ممکن است یک افزونه محبوب را خریداری باشد  و از آن برای تزیرق کدهای بدخواهانه به سایت استفاده کند.
  • جستجوی نام آن ها در گوگل  هیچ نتیجه ای در پی ندارد. حتی سایت وردپرسی شان هم در گوگل نتیجه ای ندارد
  • ممکن است جستجوی نام این افراد در گوگل نتایج بسیار نا امیدکننده ای در پی داشته باشد
  • کلیک کردن بر روی نام آن ها در مخزن وردپرس یا مخزن های معتبر دیگر به بازد شدن سایتی منجر می شود که کاملا قدیمی است.

 به نظر می رسد خود افزونه نا امن است:

در این گام باید اعتبار و شهرت خود افزونه را هم مورد بررسی قرار دهید. همانطور که قبلا نیز بیان کردیم برخی از اوقات توسعه دهنده ممکن است شهرت و اعتبار خوبی داشته باشد اما خود افزونه اینگونه نباشد. گزینه ها و عناصر مختلفی برای بررسی امن بودن خود افزونه وجود دارد اما بهتر است به سراغ گوگل بروید و عبارت  unsafe، hacked یا compromised را به همراه نام افزونه وارد کنید. اگر نتیجه غیر عادی مشاهده کردید از دانلود کردن افزونه دوری کنید.

کدهای به کار رفته به نظر مشکوک می رسد:

تایید امن بودن کدهای یک افزونه برای هر فردی اسان نیست . با اینحال اگر به اندازه کافی با ساختار فایل و  سایر موارد افزونه اشنایی دارید می توانید مطمئن شوید که حداقل موارد مورد نیاز در افزونه وجود دارد. شما می توانید از راهنمای منتشر شده توسط وردپرس برای نوشتن افزونه استفاده کنید. اگر کد مشکوکی در افزونه مشاهده کردید از افزونه دوری کنید و به دنبال افزونه جدیدی بگردید.

دانلود کافی از افزونه وجود ندارد:

در مخزن اصلی وردپرس می توانید تعداد نصب های فعال را مشاهده کنید.این گزینه بسیار عالی است زیرا نه تنها تعداد افرادی که افزونه را دانلود کرده اند را می بینید بلکه می توانید افرادی که بعدا افزونه را پاک کرده اند  هم مشاهده نمایید. تعداد نصب افزونه می تواند نشانگر خوبی از قابلیت اعتماد به آن باشد.

 افزونه با آخرین نسخه از وردپرس سازگار نیست:

زمانی که به دنبال بررسی افزونه وردپرس هستید باید دو آمار را در مورد آن مدنظر داشته باشید. یکی از این آمارها  سازگاری افزونه با آخرین نسخه از وردپرس است. این سازگاری برای کارکرد صحیح افزونه بسیار ضروری است.  نباید سایت  شما از  نسخه قدیمی وردپرس استفاده کند زیرا مشکلات امنیتی زیادی برایتان ایجاد می کند.  ناحیه ای به نام تست شده برای؛ نیز بسیار مهم است. این گزینه به شما می گوید افزونه با آخرین به روزرسانی ها سازگار است. اگر چنین نبود به دنبال افزونه دیگری باشید.

افزونه به طور مکرر یا اخیرا به روزرسانی نشده است:

هیچ چیزی همچون به روز بودن عناصر وردپرس برای امنیت آن اهمیت ندارد. افزونه ای که مورد استفاده قرار می دهید باید به روز شده باشد. در مخزن اصلی وردپرس و  سایت های فروش افزونه، باید بتوانید مدت زمان به روزرسانی و آخرین زمان به روزرسانی افزونه را بررسی کنید. هر افزونه ای که بیش از سه ماه به روز نشده است را باید کنار بگذارید.

 رتبه بندی افزونه زیاد خوب نیست:

رتبه بندی و نظرات مخاطبان از اهمیت بسیار زیادی برخوردار است.  وجود نظرات منفی بسیار می تواند یک نشانه هشداردهنده برایتان باشد. یکی از موارد دیگری که باید در این شرایط مدنظر داشته باشید این است که صاحب افزونه چگونه به نظرات منفی پاسخ می دهد. مخزن اصلی وردپرس در پاک کردن کامنت های منفی عملکرد سریعی ندارد زیرا معتقد است نحوه پاسخگویی به این کامنت های منفی بر روی اعتبار و شهرت فرد اثر دارد. به همین خاطر است که شما باید نظرات مثبت و منفی و نیز پاسخگویی فرد به این نظرات را بررسی کنید. آیا فرد به دنبال رفع مشکلات افزونه توسعه یافته خود بوده است؟ آیا می تواند بسته امنیتی برای افزونه فراهم کند؟ نظرات منفی می تواند باعث ایجا کشمکش بین کاربر و نویسنده افزونه شود؟

 پشتیبانی وجود ندارد:

حتی اگر خودتان توسعه دهنده وردپرس باشید و بتوانید مشکلات موجود را مدیریت کنید باز هم  ممکن است نفهمید چرا افزونه نصب نمی شود، به خوبی کار نمی کند و باعث بروز مشکلاتی می گردد. زمانی که امنیت نگرانی اصلی شماست باید پشتیبانی خوبی از طرف نویسنده افزونه دریافت کنید. در این شرایط سه مورد از نکات زیر را همیشه به خاطر داشته باشید:

  • به نرخ و درصدی که در آن نویسنده به سوالات پاسخ می گوید توجه کنید
  • برخی از پاسخ های توسعه دهنده را بخوانید تا مطمئن شوید می تواند فرد مفیدی باشد.
  • تاریخ پاسخ ها را بررسی کنید. اگر توسعه دهنده در سه ماه گذشته پاسخی به سوالات نداده است ممکن است پشتیبانی خوبی از افزونه خود نداشته باشد.

 مستنداتی برای افزونه وجود ندارد:

برخی از افزونه های وردپرسی ممکن است مستنداتی برای نصب و پیکربندی نداشته باشند. اسکرین شات از مراحل نصب و پیکربندی می تواند شرایط کاری تان را بهبود ببخشد.

در برخی از افزونه ها به مستندات و آموزش های بیشتری نیاز خواهید داشت. پس به دنبال افزونه ای باشید که بتواند این آموزش ها را در اختیارتان بگذارد.

 افزونه بسیار بزرگ است:

عملکرد یکی از گزینه های مهم در وردپرس است. پس باید در مورد چیزی که در وردپرس نصب می کنید آگاه باشید در غیر اینصورت بر روی سرعت و امنیت آن اثر منفی خواهید گذاشت.  افزونه های کند وردپرسی مشکل بزرگی هستند اما برخی از اوقات این موضوع به خاطر اندازه شان است. زمانی که می خواهید افزونه رایگان وردپرسی نصب کنید بهتر است آن را بر روی دسکتاپ نصب نمایید.  اندازه فایل را بررسی کنید. آیا سرور شما می توانید این اندازه از فایل را مدیریت کند؟ اگر پاسخ به این سوال منفی است به دنبال  افزونه دیگری باشید.

عملکرد خوبی با سایر افزونه ها ندارد:

مشکلات افزونه ها با هم می تواند به دلایل مختلفی بروز کند. برخی از اوقات این مشکلات با افزونه ها یا با قالب وردپرس است.  قبل از اینکه افزونه را روی سایت خود نصب کنید خوب تحقیق نمایید. ببینید کامنت های کاربران قبلی مشکلی را نشان می دهد یا خیر. استفاده از گوگل نیز برایتان مفید خواهد بود.

 سایت های بررسی امنیت افزونه ها مشکلاتی را نشان می دهند:

پایگاه داده اسیب پذیری های وردپرس می تواند اطلاعات خوبی در مورد آسیب پذیری افزونه ها در اختیار شما قرار دهد. یکی از این سایت ها بیابید و نام افزونه را در آن جستجو کنید.

 هاست شما اجازه نصب افزونه را نمی دهد:

شاید برایتان جالب باشد که بدانید برخی از هاست ها اجازه نصب برخی از افزونه ها بر روی سایت را نمی دهند.  اینکار معمولا به خاطر پیشگیری از بروز مشکلات امنیتی انجام می شود.

 

وبلاگ محبوب شما افزونه مدنظر را تایید نمی کند:

ممکن است یکی از وبلاگ های مفید و قابل اعتماد امنیت این افزونه را تایید نکند یا آن را برای عملکرد سایت وردپرسی شما مفید نداند.  به این افراد اعتماد کنید و به دنبال افزونه دیگری بگردید.

ابزار بررسی کننده شما نشان دهنده وجود مشکل در افزونه است:

ابزارهای بررسی کننده ممکن است در مورد نصب و کاربرد این افزونه هشدار دهند. باید ببینید چه چیز مشکوکی در مورد افزونه وجود دارد.  قبل از نصب افزونه، ابزار بررسی کننده را اجرا کنید تا بتوانید اثرات نصب را مورد مقایسه قرار دهید.  اگر ابزار مشکل امنیتی جدیدی در سایت پیدا کرد می توانید بفهمید که مشکل از افزونه جدید است و باید آن را به همراه تمامی فایل هایش به سرعت پاک کنید.

جوابی بنویسید

ایمیل شما نشر نخواهد شدخانه های ضروری نشانه گذاری شده است. *

*